# Custom Templates

If you want to create your own templates used for any of the lookup, you can do that by inheriting from one of the base forms provided. The module features a number of base forms in this hierarchy:

* AbstractLookup
  * AbstractLookupMulti
    * svyLookupTableMulti
    * svyLookupNGTableMulti
  * svyLookupTable
  * svyLookupNGTable

You can extend the Abstract forms for a fully custom implementation of the UI, while you can extend any of the svy\* to customize the given template form.

Extend any of the \*Multi form is suitable to implement lookup template for multi selection, while other templates are suitable for single selection.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoyextensions/modules/home-2/custom-templates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
